Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Interface HasVerticalAlignment

All Known Subinterfaces:
  HasAlignment

All Known Implementing Classes:
  DockPanel, HorizontalPanel, VerticalPanel

    public interface HasVerticalAlignment

Characteristic interface which indicates that a widget has an associated vertical alignment.

Nested Class Summary
`static class` | `HasVerticalAlignment.VerticalAlignmentConstant` Horizontal alignment constant.

Field Summary
`static HasVerticalAlignment.VerticalAlignmentConstant` | `ALIGN_BOTTOM` Specifies that the widget's contents should be aligned to the bottom.
`static HasVerticalAlignment.VerticalAlignmentConstant` | `ALIGN_MIDDLE` Specifies that the widget's contents should be aligned in the middle.
`static HasVerticalAlignment.VerticalAlignmentConstant` | `ALIGN_TOP` Specifies that the widget's contents should be aligned to the top.

Method Summary
`HasVerticalAlignment.VerticalAlignmentConstant` | `getVerticalAlignment()` Gets the vertical alignment.
`void` | `setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant align)` Sets the vertical alignment.

Field Detail

### ALIGN_BOTTOM

    static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_BOTTOM

  Specifies that the widget's contents should be aligned to the bottom.

### ALIGN_MIDDLE

    static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_MIDDLE

  Specifies that the widget's contents should be aligned in the middle.

### ALIGN_TOP

    static final HasVerticalAlignment.VerticalAlignmentConstant ALIGN_TOP

  Specifies that the widget's contents should be aligned to the top.

Method Detail

### getVerticalAlignment

    HasVerticalAlignment.VerticalAlignmentConstant getVerticalAlignment()

  Gets the vertical alignment.

  Returns:
    the current vertical alignment.

### setVerticalAlignment

    void setVerticalAlignment(HasVerticalAlignment.VerticalAlignmentConstant align)

  Sets the vertical alignment.

  Parameters:
    `align` - the vertical alignment ( `ALIGN_TOP`, `ALIGN_MIDDLE`, or `ALIGN_BOTTOM`).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD